using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using DevExpress.UserSkins;
using DevExpress.Skins;
using SystemX.Product.ALIS.UI;
using System.Threading;

namespace SystemX.Product.ALIS
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            //bool bCreateProgram = false;
            bool bCreateProgram = true;

            //Mutex SetMutex = new Mutex(true, "[SystemX.Product.ALIS.UI.PTS]", out bCreateProgram);

            if (bCreateProgram)
            {
                Application.EnableVisualStyles();
                Application.SetCompatibleTextRenderingDefault(false);

                BonusSkins.Register();

                //Application.Run(new MainForm());
                Application.Run(new FrmMain());

                //SetMutex.ReleaseMutex();
            }
            else
            {
                MessageBox.Show("[PTS] Already this program excute now. Check the process.", "CP-Server X : PTS", MessageBoxButtons.OK, MessageBoxIcon.Information);

                return;
            }
        }
    }
}
